Bug 154384 - Web Inspector: Option-clicking on the a CSS property sometimes doesn't work
Summary: Web Inspector: Option-clicking on the a CSS property sometimes doesn't work
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Devin Rousso
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2016-02-17 22:23 PST by Nikita Vasilyev
Modified: 2016-02-26 09:15 PST (History)
8 users (show)

See Also:


Attachments
Patch (2.01 KB, patch)
2016-02-25 23:48 PST, Devin Rousso
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nikita Vasilyev 2016-02-17 22:23:01 PST
Exceptions:

[Error] Assertion Failed
	_associateRelatedProperties (DOMNodeStyles.js:906)
	_updateStyleCascade (DOMNodeStyles.js:796)
	fetchedInlineStyles (DOMNodeStyles.js:140)
	fetchedInlineStyles
	_dispatchResponseToCallback (InspectorBackend.js:297)
	_dispatchResponse (InspectorBackend.js:270)
	dispatch (InspectorBackend.js:149)
	dispatchNextQueuedMessageFromBackend (MessageDispatcher.js:42)

[Error] Assertion Failed
	tokenTrackingControllerHighlightedRangeWasClicked (CSSStyleDeclarationTextEditor.js:1631)
	_mouseButtonWasReleasedOverEditor (CodeMirrorTokenTrackingController.js:404:90)
	handleEvent (CodeMirrorTokenTrackingController.js:255)


This bug has been around for a long time,
it isn't a regression from Bug 154082.
Comment 1 Radar WebKit Bug Importer 2016-02-17 22:23:24 PST
<rdar://problem/24714755>
Comment 2 Nikita Vasilyev 2016-02-17 22:30:06 PST
Steps:
1. Open Elements tab
2. In the styles sidebar, select "Styles - Rules"
3. Select some element that has CSS rules
4. Option-click on a CSS property, Resources tab should open
5. Go back to Elements tab
6. Option-Click on the same property

Expected:
Resource tab opens again.

Actual:
Nothing happens. An exception is thrown.

Notes:
Option-clicking on a CSS variable, e.g. var(--border-color),
has the same problem.
Comment 3 Nikita Vasilyev 2016-02-18 21:19:41 PST
Devin, you're probably the best person to know
what's going on in there.
Comment 4 Devin Rousso 2016-02-25 23:48:31 PST
Created attachment 272308 [details]
Patch
Comment 5 Nikita Vasilyev 2016-02-25 23:59:38 PST
(In reply to comment #4)
> Created attachment 272308 [details]
> Patch

I can confirm this fixes the bug. Good job!
Comment 6 WebKit Commit Bot 2016-02-26 09:15:05 PST
Comment on attachment 272308 [details]
Patch

Clearing flags on attachment: 272308

Committed r197169: <http://trac.webkit.org/changeset/197169>
Comment 7 WebKit Commit Bot 2016-02-26 09:15:09 PST
All reviewed patches have been landed.  Closing bug.